Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with HTTPS or Subversion.

Download ZIP
Browse files

Dummy application running without any complication

  • Loading branch information...
commit 8cd999b545e0ad1621e43a19f836015cd617c272 1 parent 17a1c14
@tscolari tscolari authored
View
2  .gitignore
@@ -1,5 +1,7 @@
.DS_Store
*.swp
*.swo
+spec/dummy/tmp/*
+spec/dummy/log/*
pkg
web-app-theme-*.gem
View
2  lib/web_app_theme/version.rb
@@ -1,3 +1,3 @@
module WebAppTheme
- VERSION = "0.0.1"
+ VERSION = "0.8.0"
end
View
8 spec/dummy/config/application.rb
@@ -1,6 +1,12 @@
require File.expand_path('../boot', __FILE__)
-require 'rails/all'
+# Pick the frameworks you want:
+# require "active_record/railtie"
+require "action_controller/railtie"
+require "action_mailer/railtie"
+require "active_resource/railtie"
+ require "sprockets/railtie"
+ require "rails/test_unit/railtie"
Bundler.require
require "web_app_theme"
View
25 spec/dummy/config/database.yml
@@ -1,25 +0,0 @@
-# SQLite version 3.x
-# gem install sqlite3
-#
-# Ensure the SQLite 3 gem is defined in your Gemfile
-# gem 'sqlite3'
-development:
- adapter: sqlite3
- database: db/development.sqlite3
- pool: 5
- timeout: 5000
-
-# Warning: The database defined as "test" will be erased and
-# re-generated from your development database when you run "rake".
-# Do not set this db to the same as development or production.
-test:
- adapter: sqlite3
- database: db/test.sqlite3
- pool: 5
- timeout: 5000
-
-production:
- adapter: sqlite3
- database: db/production.sqlite3
- pool: 5
- timeout: 5000
View
6 spec/dummy/public/index.html
@@ -3,8 +3,8 @@
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<title>Web App Theme</title>
- <link rel="stylesheet" href="base.css" type="text/css" media="screen" />
- <link rel="stylesheet" id="current-theme" href="themes/default/style.css" type="text/css" media="screen" />
+ <link rel="stylesheet" href="assets/base.css" type="text/css" media="screen" />
+ <link rel="stylesheet" id="current-theme" href="assets/themes/default/style.css" type="text/css" media="screen" />
<script type="text/javascript" charset="utf-8" src="javascripts/jquery-1.3.min.js"></script>
<script type="text/javascript" charset="utf-8" src="javascripts/jquery.scrollTo.js"></script>
<script type="text/javascript" charset="utf-8" src="javascripts/jquery.localscroll.js"></script>
@@ -21,7 +21,7 @@
if (hash.length > 0) {
matches = hash.match(/^#themes\/([a-z0-9\-_]+)$/);
if (matches && matches.length > 1) {
- $('#current-theme').attr('href', 'stylesheets/themes/' + matches[1] + '/style.css');
+ $('#current-theme').attr('href', 'assets/themes/' + matches[1] + '/style.css');
} else {
alert('theme not valid');
}
View
7 web-app-theme.gemspec
@@ -1,3 +1,8 @@
+$:.push File.expand_path("../lib", __FILE__)
+
+# Maintain your gem's version:
+require "web_app_theme/version"
+
# Generated by jeweler
# DO NOT EDIT THIS FILE DIRECTLY
# Instead, edit Jeweler::Tasks in Rakefile, and run 'rake gemspec'
@@ -5,7 +10,7 @@
Gem::Specification.new do |s|
s.name = %q{web-app-theme}
- s.version = "0.8.0"
+ s.version = WebAppTheme::VERSION
s.required_rubygems_version = Gem::Requirement.new(">= 0") if s.respond_to? :required_rubygems_version=
s.authors = ["Andrea Franz"]
Please sign in to comment.
Something went wrong with that request. Please try again.